## Class Swift_Transport_AbstractSmtpTransport

(line 26)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Transport/AbstractSmtpTransport.php

##### Sends Messages over SMTP.

- author: - Chris Corbyn
- abstract: -

Classes extended from Swift_Transport_AbstractSmtpTransport:

Swift_Transport_EsmtpTransport
  Sends Messages over SMTP with ESMTP support.

Swift_Transport_SendmailTransport
  SendmailTransport for sending mail through a sendmail/postfix (etc..) binary.

## Class Variables

Summary:
mixed $_buffer
mixed $_domain
mixed $_eventDispatcher
mixed $_started

#### $_buffer (line 31)

#### Data type : mixed

##### Input-Output buffer for sending/receiving SMTP commands and responses

- access: - protected

#### $_domain = '[127.0.0.1]' (line 37)

#### Data type : mixed

##### The domain name to use in HELO command

- access: - protected

#### $_eventDispatcher (line 40)

#### Data type : mixed

##### The event dispatching layer

- access: - protected

#### $_started = false (line 34)

#### Data type : mixed

##### Connection status

- access: - protected

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Transport_AbstractSmtpTransport __construct (Swift_Transport_IoBuffer $buf, Swift_Events_EventDispatcher $dispatcher)
void __destruct ()
string executeCommand (string $command, [int[] $codes = array()], [string[] &$failures = null])
Swift_Transport_IoBuffer getBuffer ()
string getLocalDomain ()
boolean isStarted ()
void registerPlugin (Swift_Events_EventListener $plugin)
void reset ()
int send (Swift_Mime_Message $message, [string[] &$failedRecipients = null])
void setLocalDomain (string $domain)
void start ()
void stop ()
void _assertResponseCode ( $response, $wanted)
void _doDataCommand ()
void _doHeloCommand ()
void _doMailFromCommand ( $address)
void _doRcptToCommand ( $address)
void _getBufferParams ()
void _getFullResponse ( $seq)
void _getReversePath (Swift_Mime_Message $message)
void _readGreeting ()
void _streamMessage (Swift_Mime_Message $message)
void _throwException (Swift_TransportException $e)

#### Constructor __construct (line 51)

#### Swift_Transport_AbstractSmtpTransport __construct( Swift_Transport_IoBuffer $buf, Swift_Events_EventDispatcher $dispatcher)

Overridden in child classes as:

Swift_Transport_EsmtpTransport::__construct()
  Creates a new EsmtpTransport using the given I/O buffer.

Swift_SmtpTransport::__construct()
  Create a new SmtpTransport, optionally with $host, $port and $security.

Swift_Transport_SendmailTransport::__construct()
  Create a new SendmailTransport with $buf for I/O.

Swift_SendmailTransport::__construct()
  Create a new SendmailTransport, optionally using $command for sending.

##### Creates a new EsmtpTransport using the given I/O buffer.

#### Parameters

- Swift_Transport_IoBuffer $buf:
- Swift_Events_EventDispatcher $dispatcher:

#### Info

- access - public

#### Destructor __destruct (line 538)

#### void __destruct( )

##### Destructor.

#### Info

- access - public

#### Method executeCommand (line 281)

#### string executeCommand( string $command, [int[] $codes = array()], [string[] &$failures = null])

Overridden in child classes as:

Swift_Transport_EsmtpTransport::executeCommand()
  Run a command against the buffer, expecting the given response codes.

##### Run a command against the buffer, expecting the given response codes.

If no response codes are given, the response will not be validated. If codes are given, an exception will be thrown on an invalid response.

#### Parameters

- string $command:
- int[] $codes:
- string[] &$failures:

#### Info

- access - public

#### Method getBuffer (line 265)

#### Swift_Transport_IoBuffer getBuffer( )

##### Get the IoBuffer where read/writes are occurring.

#### Info

- access - public

#### Method getLocalDomain (line 78)

#### string getLocalDomain( )

##### Get the name of the domain Swift will identify as.

#### Info

- access - public

#### Method isStarted (line 124)

#### boolean isStarted( )

Implementation of:

Swift_Transport::isStarted()
  Test if this Transport mechanism has started.

##### Test if an SMTP connection has been established.

#### Info

- access - public

#### Method registerPlugin (line 247)

#### void registerPlugin( Swift_Events_EventListener $plugin)

Implementation of:

Swift_Transport::registerPlugin()
  Register a plugin in the Transport.

##### Register a plugin.

#### Parameters

- Swift_Events_EventListener $plugin:

#### Info

- access - public

#### Method reset (line 255)

#### void reset( )

##### Reset the current mail transaction.

#### Info

- access - public

#### Method send (line 139)

#### int send( Swift_Mime_Message $message, [string[] &$failedRecipients = null])

Overridden in child classes as:

Swift_Transport_SendmailTransport::send()
  Send the given Message.

Implementation of:

Swift_Transport::send()
  Send the given Message.

##### Send the given Message.

Recipient/sender data will be retreived from the Message API. The return value is the number of recipients who were accepted for delivery.

#### Parameters

- Swift_Mime_Message $message:
- string[] &$failedRecipients: to collect failures by-reference

#### Info

- access - public

#### Method setLocalDomain (line 67)

#### void setLocalDomain( string $domain)

##### Set the name of the local domain which Swift will identify itself as.

This should be a fully-qualified domain name and should be truly the domain you're using. If your server doesn't have a domain name, use the IP in square brackets (i.e. [127.0.0.1]).

#### Parameters

- string $domain:

#### Info

- access - public

#### Method start (line 86)

#### void start( )

Overridden in child classes as:

Swift_Transport_SendmailTransport::start()
  Start the standalone SMTP session if running in -bs mode.

Implementation of:

Swift_Transport::start()
  Start this Transport mechanism.

##### Start the SMTP connection.

#### Info

- access - public

#### Method stop (line 206)

#### void stop( )

Implementation of:

Swift_Transport::stop()
  Stop this Transport mechanism.

##### Stop the SMTP connection.

#### Info

- access - public

#### Method _assertResponseCode (line 392)

#### void _assertResponseCode( $response, $wanted)

##### Throws an Exception if a response code is incorrect

#### Parameters

- $response:
- $wanted:

#### Info

- access - protected

#### Method _doDataCommand (line 327)

#### void _doDataCommand( )

##### Send the DATA command

#### Info

- access - protected

#### Method _doHeloCommand (line 303)

#### void _doHeloCommand( )

Overridden in child classes as:

Swift_Transport_EsmtpTransport::_doHeloCommand()
  Overridden to perform EHLO instead

##### Send the HELO welcome

#### Info

- access - protected

#### Method _doMailFromCommand (line 311)

#### void _doMailFromCommand( $address)

Overridden in child classes as:

Swift_Transport_EsmtpTransport::_doMailFromCommand()
  Overridden to add Extension support

##### Send the MAIL FROM command

#### Parameters

- $address:

#### Info

- access - protected

#### Method _doRcptToCommand (line 319)

#### void _doRcptToCommand( $address)

Overridden in child classes as:

Swift_Transport_EsmtpTransport::_doRcptToCommand()
  Overridden to add Extension support

##### Send the RCPT TO command

#### Parameters

- $address:

#### Info

- access - protected

#### Method _getBufferParams (line 43)

#### void _getBufferParams( )

Overridden in child classes as:

Swift_Transport_EsmtpTransport::_getBufferParams()
  Get the params to initialize the buffer

Swift_Transport_SendmailTransport::_getBufferParams()
  Get the params to initialize the buffer

##### Return an array of params for the Buffer

#### Info

- abstract -
- access - protected

#### Method _getFullResponse (line 415)

#### void _getFullResponse( $seq)

##### Get an entire multi-line response using its sequence number

#### Parameters

- $seq:

#### Info

- access - protected

#### Method _getReversePath (line 350)

#### void _getReversePath( Swift_Mime_Message $message)

##### Determine the best-use reverse path for this message

#### Parameters

- Swift_Mime_Message $message:

#### Info

- access - protected

#### Method _readGreeting (line 297)

#### void _readGreeting( )

##### Read the opening SMTP greeting

#### Info

- access - protected

#### Method _streamMessage (line 333)

#### void _streamMessage( Swift_Mime_Message $message)

##### Stream the contents of the message over the buffer

#### Parameters

- Swift_Mime_Message $message:

#### Info

- access - protected

#### Method _throwException (line 375)

#### void _throwException( Swift_TransportException $e)

##### Throw a TransportException, first sending it to any listeners

#### Parameters

- Swift_TransportException $e:

#### Info

- access - protected

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:10 +0000 by phpDocumentor 1.4.3